#! /usr/bin/python2

import string,sys,cgi
from Ft.Xml.Xslt import Processor
from Ft.Xml.InputSource import DefaultFactory
from Ft.Xml import InputSource

#-------------------------------------------------------------
# Testing 4Suite, parametric xslt
# Work on fixed files: eng0_01_02.xml and trans1.xslt
# Parameters are:
# hjemmelag (*: wildcard)
# bortelag  (*: wildcard)
# B. Stenseth  2003
#-------------------------------------------------------------

def loadFile(fname):
    try:
        file=open(fname,'r')
        res=file.read()
        file.close()
        return res
    except:
        sys.exit('gir opp...')

def storeFile(fname,content):
    try:
        outf=open(fname,'w')
        outf.write(content)
        outf.close()
    except:
        sys.exit('gir opp...')



def produce(hjemme,borte):
    # fixed filenames 
    xmlfile='eng0_01_02.xml'
    xsltfile='trans1.xslt'
    htmlfile='result.html'
    xmlstr=loadFile(xmlfile)
    xsltstr=loadFile(xsltfile)

    processor=Processor.Processor()
    transform= DefaultFactory.fromString(xsltstr,"http://www.ia.hiof.no/~borres/cgi-bin/soccer/trans1.xslt")
    processor.appendStylesheet(transform)
    
    source= InputSource.DefaultFactory.fromString(xmlstr,"http://www.ia.hiof.no/~borres/cgi-bin/soccer/eng0_01_02.xml")

    params={'hjemmelag':hjemme,'bortelag':borte}
    result= processor.run(source,topLevelParams=params)

    print result
    
    # write it to file
    # storeFile(htmlfile,result)



#-----------------------------------------
print "Content-type: text/html\n"
form=cgi.FieldStorage()

# what was the question again ?
hjemme=''
borte=''

try:
   hjemme=form['hjemmelag'].value
except:
   hjemme='*'

try:
   borte=form['bortelag'].value
except:
   borte='*'


produce(hjemme,borte)