<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
	<xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="yes"/>

<xsl:param name="hjemmelag" select="'Chelsea'"/>
<xsl:param name="bortelag" select="'Arsenal'"/>
	
<xsl:template match="/">
	<html>
	<head>
	<title>Fotball</title>
	</head>
	
	<body>
	<h1><xsl:value-of select="liga/land"/></h1>
	<h2><xsl:value-of select="liga/serie"/> - <xsl:value-of select="liga/sesong"/></h2>
	<xsl:for-each select="liga/kamp">
		<xsl:if test="($hjemmelag='*' and $bortelag='*' ) 
		                   or (hlag=$hjemmelag and $bortelag='*') 
		                   or ($hjemmelag='*' and blag=$bortelag)
					    or (hlag=$hjemmelag and blag=$bortelag)">
			<xsl:apply-templates select="self::node()"/>
		</xsl:if>
	</xsl:for-each>


	</body>
	</html>
</xsl:template>

<xsl:template match="kamp">
	<div>
	<xsl:value-of select="dato"/>:
	<xsl:value-of select="hlag"/>-<xsl:value-of select="blag"/> : 
	<xsl:value-of select="hmal"/>-<xsl:value-of select="bmal"/>
	</div>
</xsl:template>
	
</xsl:stylesheet>
